org.apache.nutch.parse.metatags

## Class MetaTagsParser

- java.lang.Object
- - org.apache.nutch.parse.metatags.MetaTagsParser

- All Implemented Interfaces:
    Configurable, ParseFilter, FieldPluggable, Pluggable

      public class MetaTagsParser
      extends java.lang.Object
      implements ParseFilter

  Parse HTML meta tags (keywords, description) and store them in the parse metadata so that they can be indexed with the index-metadata plugin with the prefix 'metatag.'. Metatags are matched ignoring case.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PARSE_META_PREFIX`

    - ### Fields inherited from interface org.apache.nutch.parse.ParseFilter

      `X_POINT_ID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MetaTagsParser()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Parse` | `filter(java.lang.String url, WebPage page, Parse parse, HTMLMetaTags metaTags, org.w3c.dom.DocumentFragment doc)` Adds metadata or otherwise modifies a parse, given the DOM tree of a page.
    `Configuration` | `getConf()`
    `java.util.Collection<WebPage.Field>` | `getFields()`
    `void` | `setConf(Configuration conf)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PARSE_META_PREFIX

          public static final java.lang.String PARSE_META_PREFIX

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### MetaTagsParser

          public MetaTagsParser()

  - ### Method Detail

    - #### setConf

          public void setConf(Configuration conf)

      Specified by:
        `setConf` in interface `Configurable`

    - #### getConf

          public Configuration getConf()

      Specified by:
        `getConf` in interface `Configurable`

    - #### filter

          public Parse filter(java.lang.String url,
                              WebPage page,
                              Parse parse,
                              HTMLMetaTags metaTags,
                              org.w3c.dom.DocumentFragment doc)

      Description copied from interface: `ParseFilter`
      Adds metadata or otherwise modifies a parse, given the DOM tree of a page.
      Specified by:
        `filter` in interface `ParseFilter`

    - #### getFields

          public java.util.Collection<WebPage.Field> getFields()

      Specified by:
        `getFields` in interface `FieldPluggable`

Copyright © 2019 The Apache Software Foundation